# ReferenceCounted Class Reference

Super class for reference counted classes. More...

`#include <ReferenceCounted.hpp>`

Inheritance diagram for ReferenceCounted:

[legend]
List of all members.

## Public Member Functions

| ReferenceCounted ()
virtual | ~ReferenceCounted ()
void | incrementRefCount () const
| Increment the reference count.
virtual void | decrementRefCount () const
| Decrement the reference count, deleting if it becomes zero.

## Protected Attributes

unsigned int | _ref_count

## Detailed Description

Super class for reference counted classes.

## Constructor & Destructor Documentation

ReferenceCounted::ReferenceCounted | ( |  | ) | `[inline]`

virtual ReferenceCounted::~ReferenceCounted | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void ReferenceCounted::decrementRefCount | ( |  | ) | const`[inline, virtual]`

| Decrement the reference count, deleting if it becomes zero.

void ReferenceCounted::incrementRefCount | ( |  | ) | const`[inline]`

| Increment the reference count.

## Member Data Documentation

unsigned int ReferenceCounted::_ref_count `[protected]`

The documentation for this class was generated from the following file:

- ReferenceCounted.hpp